For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate file (remote upload)
      • POSTImport file
      • GETList files
      • PATCHMove file
      • PATCHRestore file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFiles

Update file

Deprecated
PATCH
https://api.frame.io/v4/accounts/:account_id/files/:file_id
PATCH
/v4/accounts/:account_id/files/:file_id
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.files import FileUpdateParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.files.update(
9 account_id="8bfb25e1-12b6-4588-a4f3-4f110392bfd9",
10 file_id="a6467d34-b2f5-4c4f-9516-b116b8001d00",
11 api_version="experimental",
12 data=FileUpdateParamsData(
13 name="asset.png",
14 ),
15)
1{
2 "data": {
3 "id": "6a2b33f7-0ba5-412c-b510-124dd112dd45",
4 "name": "asset.png",
5 "created_at": "2023-09-25T19:18:29.614189Z",
6 "parent_id": "827a6d10-1a65-4ec5-87da-a6f3d61b5aff",
7 "project_id": "5c1d9036-8def-46fc-bced-1dba86114d48",
8 "type": "file",
9 "updated_at": "2024-02-07T16:44:41.986478Z",
10 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
11 "file_size": 1137444,
12 "media_type": "image/png",
13 "status": "created"
14 }
15}
Update file details. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.update. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

List folder user roles

Next

Update file details.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Files/operation/files.update.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Request

File params
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error